From b9e3912f9d197b003ce1d6dfa00de49e6e0bb9c0 Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date: Jun 17 2019 19:37:08 +0000
Subject: [PATCH 8/10] improve documentation


---

diff --git a/build.py b/build.py
index e3ad1af..69e14bb 100755
--- a/build.py
+++ b/build.py
@@ -1,5 +1,8 @@
 #!/usr/bin/env python3
-"""Calls `./get_package.sh for every fedora 30 packages"""
+""" For each packages in src.rpms folder :"""
+"""   extract srpm                        """
+"""   run the translation_finder          """
+""" Then, concat csv files                """
 
 import argparse
 import glob
diff --git a/concat_csv.sh b/concat_csv.sh
index 000ba7e..c98fca1 100755
--- a/concat_csv.sh
+++ b/concat_csv.sh
@@ -1,4 +1,5 @@
 #!/bin/bash
+# concat every csv file in one single one
 
 folder=$1
 output="$folder/_concat.csv"
diff --git a/download-f30-srpm-in-container.sh b/download-f30-srpm-in-container.sh
index 045ec93..2a8aae7 100755
--- a/download-f30-srpm-in-container.sh
+++ b/download-f30-srpm-in-container.sh
@@ -1,6 +1,8 @@
 #!/bin/bash
+# call get_f30_srpm.sh using a container (usecase: run statistics from another
+# OS than fedora-30)
 
 podman run --rm --tty -i --name=localization \
 	-v $(pwd):/scripts:z -w /scripts \
 	registry.fedoraproject.org/fedora:30 \
-	/scripts/get_f30_srpm.sh
\ No newline at end of file
+	/scripts/get_f30_srpm.sh
diff --git a/extract_srpm.sh b/extract_srpm.sh
index b7a787d..e7910f9 100755
--- a/extract_srpm.sh
+++ b/extract_srpm.sh
@@ -1,4 +1,6 @@
 #!/bin/bash
+# extract srpm using rpm2cpio, then
+# extract every existing archives (that most probably are source code)
 
 folder=$1
 package=$(pwd)/$2
@@ -44,4 +46,4 @@ done
 
 popd > /dev/null
 
-rm -rf "$tmp"
\ No newline at end of file
+rm -rf "$tmp"
